{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block title %} Proofs {% endblock title %}
{% block css %}
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bm/jq-3.6.0/dt-1.12.1/datatables.min.css" />
{% endblock css %}
{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Proof of Expenditure
        </p>
        <p class="subtitle">
            List of proof of expenditure uploaded
        </p>
    </div>
</section>
<div class="section">
    <div class="columns">
        <div class="column  is-two-thirds  is-offset-1">
            <div class="block mt-5">
                <table class="table">
                    <thead>
                        <tr>
                            <th>Date</th>
                            <th>Description</th>
                            <th>Amount</th>
                            <th>Currency</th>
                            <th>Document</th>
                            <th>Edit</th>
                            <th>Delete</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for proof in proofs %}
                            <tr>
                                <td> {{proof.date}}</td>
                                <td>{{proof.description}}</td>
                                <td> {{proof.amount}}</td>
                                <td> {{proof.currency}}</td>
                                <td> <a href="{{ proof.document.url }}" target="_blank" rel="noopener">{{proof}}</a><br></td>
                                <td><a href="{% url 'edit_proof' mission_id=mission.id proof_id=proof.id %}"><button class="button is-link is-small">Edit</button></a></td>
                                <td><a href="{% url 'delete_proof' mission_id=mission.id proof_id=proof.id %}"><button class="button is-danger is-small">Delete</button></a></td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
                <div class="is-centered">
                <a href="{% url 'mission_reimburse' mission_id=mission.id %}"> <button class="button is-link ">Add</button></a>
                &nbsp;<a href="{% url 'proof_submit' mission_id=mission.id %}"> <button class="button is-success ">Submit</button></a>

            </div>
            </div>

        </div>

    </div>

</div>
{% endblock content %}